Class | Chef::ResourceCollection::StepableIterator
In: | lib/chef/resource_collection/stepable_iterator.rb
Parent: | Object

### Methods

each each_index each_with_index for_collection iterate_on new pause paused? resume rewind size skip_back skip_forward step

### Attributes

collection | [RW] |
position | [R] |

### Public Class methods

for_collection(new_collection)
new(collection=[])

### Public Instance methods

each(&block)
each_index(&block)
each_with_index(&block)
iterate_on(iteration_type, &block)
pause()
paused?()
resume()
rewind()
size()
skip_back(skips=1)
skip_forward(skips=1)
step()

[Validate]